Ventia
Request sales

List request sales

Lists request sales, newest first.

GET
/request-sales

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key sent as Authorization: Bearer <API_KEY>.

Query Parameters

page?integer

Page number (1-indexed). Defaults to 1.

Range1 <= value
Default1
limit?integer

Page size. Defaults to 10, maximum 1000.

Range1 <= value <= 1000
Default10
template?string

Filter by request sale template id.

status?string

Filter by status title.

contact?string

Filter by contact id.

creator?string

Filter by owner user id.

gteCreatedAt?string

Created on or after this date. Also supports gt, lt, lte and the updatedAt / statusUpdatedAt fields (e.g. gteStatusUpdatedAt).

Formatdate-time
lteCreatedAt?string

Created on or before this date.

Formatdate-time
sort?string

Sort field, prefixed with + or -. Defaults to -createdAt.

Value in"+createdAt""-createdAt""+updatedAt""-updatedAt""+statusUpdatedAt""-statusUpdatedAt"

Response Body

OK

application/json; charset=utf-8
  1. response
[index: integer]?
curl -X GET 'https://api.getventia.com/api/v1.0/request-sales?page=1&limit=25&template=65aa01c4e2b30017c9d0a1&status=En+revisi%C3%B3n&contact=6620aa10c4e2b30017c9d111&creator=6234da84259c59d9a555c498&gteCreatedAt=2026-05-01T00%3A00%3A00.000Z&lteCreatedAt=2026-05-31T23%3A59%3A59.999Z&sort=-createdAt'
[  {    "_id": "6650f1c1ff61ffd5f1e446d2",    "company": "609b3cff61ffd5f1e446d234",    "contact": "6620aa10c4e2b30017c9d111",    "template": {      "_id": "65aa01c4e2b30017c9d0a1",      "title": "Solicitud de venta"    },    "status": "En revisión",    "statusType": "processing",    "statusUpdatedAt": "2026-05-24T18:21:01.000Z",    "content": {      "product": "Plan Pro",      "amount": 1200    },    "creator": {      "_id": "6234da84259c59d9a555c498",      "name": "Ana",      "lastname": "Pérez",      "email": "ana@example.com"    },    "createdBy": "6234da84259c59d9a555c498",    "auditor": {      "_id": "6234da84259c59d9a555c499",      "name": "Luis",      "lastname": "Gómez",      "email": "luis@example.com"    },    "editors": [],    "receipts": [],    "createdAt": "2026-05-24T18:21:01.000Z",    "updatedAt": "2026-05-24T18:21:01.000Z"  }]